Retrieve Cluster
Returns the Cluster by ID.
The token can be generated using the Authentication API.
The ID (UUID) of the Cluster.
e69b22a5-8fee-56b1-b6fb-4a07e4205eadGetting Cluster was successful.
The ID (UUID) of the Cluster.
e69b22a5-8fee-56b1-b6fb-4a07e4205eadThe type of the resource.
The URL of the Cluster.
/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205eadBad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Not Found
The resource that was requested could not be found.
Too Many Requests
The user has sent too many requests in a given amount of time.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
Service Unavailable
The server is currently unable to handle the request due to a temporary overloading or maintenance of the server.
Unexpected Internal Server Error
An unexpected internal error occurred. We apologize for the inconvenience!
GET /v2/clusters/{clusterId} HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
"type": "cluster",
"href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
"metadata": {
"createdDate": "2020-12-10T13:37:50+01:00",
"createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2020-12-11T13:37:50+01:00",
"lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "AVAILABLE",
"statusMessage": "Provisioning failed: insufficient quota.",
"dnsName": "59348c25-2d4b-4870-a5b6-33c48fce1c58.in-memory-db.de-txl.ionos.com"
},
"properties": {
"name": "my-cluster",
"description": "Production cache cluster for the CMS platform.",
"version": "9.0",
"instances": {
"count": 1,
"cores": 4,
"ram": 8
},
"connection": {
"datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
"lanId": "2",
"primaryInstanceAddress": "192.168.2.101/24"
},
"persistenceMode": "RDB",
"evictionPolicy": "allkeys-lru",
"snapshot": {
"location": "eu-central-3",
"retentionDays": 14,
"snapshotHours": [
0,
6,
12,
18
]
},
"maintenanceWindow": {
"time": "16:30:59",
"dayOfTheWeek": "Monday"
},
"credentials": {
"username": "cache_admin"
},
"logsEnabled": false,
"metricsEnabled": false
}
}Last updated
Was this helpful?